Jump to:

1149 Posts in 2553 Topics by 408 members

Upgrading SilverStripe

SilverStripe Forums » Upgrading SilverStripe » Public vs Private statics in 3.0 -> 3.1 Upgrade

Ask questions about upgrading SilverStripe to the latest version.

Moderators: martimiz, Sean, biapar, Willr, Ingo, swaiba, simon_w

Page: 1
Go to End
Author Topic: 125 Views
  • novaweb
    Avatar
    Community Member
    111 Posts

    Public vs Private statics in 3.0 -> 3.1 Upgrade Link to this post

    Howdy Stripers. I am deploying a 3.0 to 3.1 upgrade. As per docs (3.1.0 changelogs) I have changed static $allowed_actions to private, but now I am getting Fatal error: Page_Controller::$allowed_actions must be public (as in class Page_Controller)

    I am confused...

    It works on Dev fine, but on production server this error is throwing, same code base, php versions vary but are 5.4+

    Any ideas?

    125 Views
Page: 1
Go to Top

Want to know more about the company that brought you SilverStripe? Then check out SilverStripe.com

Comments on this website? Please give feedback.